/*
	CGI Source for Guest book 2.3

	Author	: Kang Jul Ki (Master 2nd)
	E-mail	: jkkang@sel.chonbuk.ac.kr
	Homepage: http://sel.chonbuk.ac.kr/~jkkang/
	Date	: August 21, 1997
	Class	: Software Engineering Lab.
		  Dept. of Electronic Engineering
		  Chonbuk National Univ.	

	Compiler: gcc 2.7.2
	Copyright (c) 1997, Kang Jul Ki & Software Engineering Lab
*/

#include "Cgi.h"
#include <stdlib.h>

Cgi::Cgi()
{
	m_cl	= 0;
	m_pBuf	= NULL;
	m_pParam= NULL;
}

Cgi::~Cgi()
{
	delete	m_pParam;
}

void Cgi::ShowMimeType()
{
	printf("Content-type: text/html%c%c", LF, LF);
}

stat Cgi::IsPasswdOk(char *szPasswd)
{
	m_pParam = new CGI_ENTRY;

	m_cl = atoi(getenv("CONTENT_LENGTH"));

	for (int i=0; m_cl && (!feof(stdin)); i++)
	{
		(m_pParam+i)->f_val	= fmakeword(stdin, '&', &m_cl);
		plustospace((m_pParam+i)->f_val);
		unescape_url((m_pParam+i)->f_val);
		(m_pParam+i)->f_name	= makeword((m_pParam+i)->f_val, '=');

#ifdef _DEBUG_
	printf("(m_pParam+%d)->f_val : %s%c<br>", i, (m_pParam+i)->f_val, LF);
#endif
	}

	strcpy(szPasswd, (m_pParam+0)->f_val);

/*
	if (!strcmp((m_pParam+0)->f_val, PASSWD))	return	OK;
	else						return	ERR;
*/
	return	OK;
}

void Cgi::ShowAdminError(void)
{
	printf("<html>%c", LF);
	printf("<head><title>ڸ޴ -</title></head>%c", LF);
	printf("<meta http-equiv=\"Content-Type\" Content=\"text/html; charset=euc-kr\">%c", LF);
	printf("<body bgcolor=white>%c", LF);

	printf("<center>%c", LF);
	
	printf("<br><br><br><br>%c", LF);

	printf("<font size=-1>ڸ մϴ.</font>%c", LF);
	printf("<br><br><br><br>%c", LF);
	printf("<font size=-1><a href=/reg.html></a></font>%c", LF);

	printf("<br><br><br><br>%c", LF);
	printf("<a href=mailto:jkkang@sel.chonbuk.ac.kr><img src=/Image/copy.gif border=0></a><br>%c", LF);
	printf("<a href=http://sel.chonbuk.ac.kr/~jkkang/ target=_top><img src=/Image/designer.gif border=0></a><br>%c", LF);

	printf("</center>%c", LF);
	printf("</body>%c", LF);
	printf("</html>%c", LF);
}

