/*
	CGI Source for Config.h

	Author	: Kang Jul Ki (Master 2nd)
	E-mail	: jkkang@sel.chonbuk.ac.kr
	Homepage: http://sel.chonbuk.ac.kr/~jkkang/
	Date	: August 21, 1997
	Class	: Software Engineering Lab.
		  Dept. of Electronic Engineering
		  Chonbuk National Univ.	

	Compiler: gcc 2.7.2
	Copyright (c) 1997, Kang Jul Ki & Software Engineering Lab
*/

#ifndef _Config_h_
#define _Config_h_

#include "MyCgi.h"

#define	MAX_STRING_LEN	256

class Config
{
public:
	int	m_iBoardNum;
	int	m_iTextNum;

	int	m_iIndex;
	int	m_iTotal;

	/*
	** Config data from 'GuestBook.conf'
	*/
	char	m_szBaseDir[MAX_STRING_LEN];
	char	m_szBbsDir[MAX_STRING_LEN];
	char	m_szEmail[MAX_STRING_LEN];
	char	m_szImageName[MAX_STRING_LEN];
	char	m_szPassword[MAX_STRING_LEN];
	char	m_szDbName[50];

	Config();
	~Config();

	int	EatWs(FILE *fpt);
	int	CfgGetLine(char *str, int n, FILE *fpt);
	void	CfgGetWord(char *word, char *line);
	stat	ProcessConfig(void);

	char*	GetBaseDir(void)  	{ return	m_szBaseDir; }
	char*	GetBbsDir(void) 	{ return	m_szBbsDir;  }
	char*	GetEmail(void)		{ return	m_szEmail;   }
	char*	GetImageName(void)	{ return	m_szImageName;}
	char*	GetPassword(void)	{ return	m_szPassword; }
	char*	GetDbName(void) 	{ return	m_szDbName; }

	int	GetBoardNum(void) 	{ return	m_iBoardNum; }
	int	GetTextNum(void) 	{ return	m_iTextNum; }

	int	GetIndex(void)		{ return	m_iIndex; }
	int	GetTotal(void)		{ return	m_iTotal; }

	char*	ItoA(int iNum, char *str);
};

#endif
