/*
	EPasswd.cpp

	Author	: Kang Jul Ki
	E-mail	: jkkang@sel.chonbuk.ac.kr
	Homepage: http://sel.chonbuk.ac.kr/~jkkang/
	Date	: September 4, 1997
	Class	: Software Engineering Lab.
		  Dept. of Electronic Engineering
		  Chonbuk National Univ.

	Compiler: gcc 2.7.2
	Copyright (c) 1997, Kang Jul Ki & Software Engineering Lab.
*/

#include "EPasswd.h"
#include <stdlib.h>

EPasswd::EPasswd()
{
	m_pConfig = new Config;
	m_pParam  = new CGI_ENTRY[3];
}

EPasswd::~EPasswd()
{
	delete	m_pConfig;
	delete	m_pParam;
}

void EPasswd::GetEnv()
{
	stat  result = ERR;

	/*
	** Get environment variable from HTTP
	*/
	m_pBuf = getenv("QUERY_STRING");
	
	for (int i=0; i<2; i++)
	{
		(m_pParam+i)->f_val  = (char *)makeword(m_pBuf, '&');
		(m_pParam+i)->f_name = (char *)makeword((m_pParam+i)->f_val, '=');
	}

	m_pConfig->m_iBoardNum	= atoi((m_pParam+0)->f_val);
	m_iID			= atoi((m_pParam+1)->f_val);

	/*
	** Get Config from 'GuestBook.conf'
	*/
	result = m_pConfig->ProcessConfig();
}

void EPasswd::ShowPostPage(void)
{
	printf("<html>%c", LF);
	printf("<head>%c", LF);
	printf("<title>н Ȯ</title>%c", LF);
	printf("</head>%c", LF);
	printf("<body bgcolor=white>%c", LF);

	printf("<center>%c", LF);
	
	printf("<br>%c", LF);
	printf("<font color=red size=-1>н带 ?</font>%c", LF);
	printf("<br><br><br>%c", LF);

	printf("<form OnSubmit=\"return confirm('Ȯ ðڽϱ?')\" method=post action=%scgi-bin/MeetErase.Cgi?BoardNum=%d&id=%d>%c", m_pConfig->GetBaseDir(), m_pConfig->GetBoardNum(), m_iID, LF);
	printf("<table>%c", LF);
	printf("<tr><td><input type=password size=11 maxlength=10 name=password></td>%c", LF);
	printf("<td><input type=submit value=\"н\"></td></tr>%c", LF);

	printf("</table>%c", LF);
	printf("</form>%c", LF);

	printf("<br>%c", LF);
 
	printf("<br><img width=420 src=%sImage/blue_line.gif>%c", m_pConfig->GetBaseDir(), LF);
	printf("<br><font color=4a708b size=-1>%c", LF);
	printf("<a href=http://sel.chonbuk.ac.kr/~jkkang/>Programmed by Kang Jul Ki</a><br>%c", LF);
	printf("<a href=mailto:%s>%s</a></br>%c", m_pConfig->GetEmail(), m_pConfig->GetEmail(), LF);

	printf("</font></center>%c", LF);
	printf("</body>%c", LF);
	printf("</html>%c", LF);
}
	
/*
** Program entry
*/
void main()
{
	EPasswd* MyEPasswd;

	MyEPasswd = new EPasswd;
	
	/*
	** Mime type
	*/
	printf("Content-type: text/html%c%c", LF, LF);

	MyEPasswd->GetEnv();
	MyEPasswd->ShowPostPage();

	delete	MyEPasswd;
}
