/*
	MeetCorrect.h

	Author	: Kang Jul Ki (Master 2nd)
	E-mail	: jkkang@sel.chonbuk.ac.kr
	Homepage: http://sel.chonbuk.ac.kr/~jkkang/
	Date	: September 4, 1997
	Class	: Software Engineering Lab.
		  Dept. of Electronic Engineering
		  Chonbuk National Univ.	

	Compiler: gcc 2.7.2
	Copyright (c) 1997, Kang Jul Ki & Software Engineering Lab
*/

#ifndef __MeetCorrect_h_
#define __MeetCorrect_h_

#include <time.h>
#include <sys/timeb.h>

#include "MyCgi.h"
#include "Cgi.h"
#include "Config.h"
#include "mSQL.h"

class MeetCorrect : public Cgi
{
	Config*	m_pConfig;
	mSQL*	m_pmSQL;

	int	m_iNum;
	int	m_iID;
	char	m_szPasswd[20];

public:
	MeetCorrect();
	~MeetCorrect();

	void	GetEnv(void);
	void	ShowHtml(void);
	void	ShowPasswdError(void);
	
	void	Run(void);
};

#endif
