/*
	MeetErase.h

	Author	: Kang Jul Ki (Master 2nd)
	E-mail	: jkkang@sel.chonbuk.ac.kr
	Homepage: http://sel.chonbuk.ac.kr/~jkkang/
	Date	: September 4, 1997
	Class	: Software Engineering Lab.
		  Dept. of Electronic Engineering
		  Chonbuk National Univ.	

	Compiler: gcc 2.7.2
	Copyright (c) 1997, Kang Jul Ki & Software Engineering Lab
*/

#ifndef __MeetErase_h_
#define __MeetErase_h_

#include "MyCgi.h"
#include "Cgi.h"
#include "Config.h"
#include "mSQL.h"

class MeetErase : public Cgi
{
	HEADER*	m_pHeader;
	Config*	m_pConfig;
	mSQL*	m_pmSQL;

	int	m_iID;
	char	m_szPasswd[20];
	
public:
	MeetErase();
	~MeetErase();

	void	GetEnv(void);
	void	ShowMimeType(void);
	void	DeleteData(void);
	void	UpdateHeader(void);
	void	ShowNote(void);
	void	ShowPasswdError(void);
	void	Run(void);
};

#endif




