/*
	MeetPost.h

	Author	: Kang Jul Ki (Master 2nd)
	E-mail	: jkkang@sel.chonbuk.ac.kr
	Homepage: http://sel.chonbuk.ac.kr/~jkkang/
	Date	: August 21, 1997
	Class	: Software Engineering Lab.
		  Dept. of Electronic Engineering
		  Chonbuk National Univ.	

	Compiler: gcc 2.7.2
	Copyright (c) 1997, Kang Jul Ki & Software Engineering Lab
*/

#ifndef __MeetPost_h_
#define __MeetPost_h_

#include "MyCgi.h"
#include "Cgi.h"
#include "Config.h"
#include "mSQL.h"
#include <time.h>
#include <sys/timeb.h>

class MeetPost : public Cgi
{
	HEADER	*m_pHeader;
	mSQL	*m_pmSQL;
	Config	*m_pConfig;

	int	m_iID;
	int	m_iLine;

	char	*m_szDomain;
	char	*m_szIp;
	char	m_szwhTime[20];
	char	m_szwhDate[20];
	char	m_szDate[20];
	char	m_szHtmlFileName[255];

	time_t	tmp_time1;
	struct tm *tmp_time2;

public:
	MeetPost();
	~MeetPost();

	void	GetEnv(void);
	void	GetHeader(void);
	int	GetLine(void);
	stat	IsOkPost(void);
	void	ShowError(void);
	void	AddRecordIntoFile(void);
	void	MakeNewHtmlFile(void);
	void	ShowNewHtmlFile(void);
	void	Run(void);
};

#endif
