/*
	MeetUpdate.h

	Author	: Kang Jul Ki (Master 2nd)
	E-mail	: jkkang@sel.chonbuk.ac.kr
	Homepage: http://sel.chonbuk.ac.kr/~jkkang/
	Date	: September 4, 1997
	Class	: Software Engineering Lab.
		  Dept. of Electronic Engineering
		  Chonbuk National Univ.	

	Compiler: gcc 2.7.2
	Copyright (c) 1997, Kang Jul Ki & Software Engineering Lab
*/

#ifndef __MeetUpdate_h_
#define __MeetUpdate_h_

#include <time.h>
#include <sys/timeb.h>

#include "MyCgi.h"
#include "Cgi.h"
#include "mSQL.h"
#include "Config.h"

class MeetUpdate : public Cgi
{
	HEADER*	m_pHeader;
	Config*	m_pConfig;
	mSQL*	m_pmSQL;

	int	m_iNum;
	int	m_iID;
	int	m_iCount;

	char	*m_szDomain;
	char	*m_szIp;

	char	m_szwhTime[20];
	char	m_szwhDate[20];
	char	m_szDate[40];

	char	m_szHtmlFileName[255];

	time_t	tmp_time1;
	struct tm *tmp_time2;

public:
	MeetUpdate();
	~MeetUpdate();

	void	GetEnv(void);
	void	GetHeader(void);
	void	GetRecord(void);
	int	GetLine(void);
	stat	IsOkPost(void);
	void	ShowError(void);
	void	UpdateRecordIntoFile(void);
	void	MakeNewHtmlFile(void);
	void	ShowNewHtmlFile(void);
	void	Run(void);
};

#endif
