/*
	mSQL.h

	Author	: Kang Jul Ki (Master 2nd)
	E-mail	: jkkang@sel.chonbuk.ac.kr
	Homepage: http://sel.chonbuk.ac.kr/~jkkang/
	Date	: September 3, 1997
	Class	: Software Engineering Lab.
		  Dept. of Electronic Engineering
		  Chonbuk National Univ.	

	Compiler: gcc 2.7.2
	Copyright (c) 1997, Kang Jul Ki & Software Engineering Lab
*/

#ifndef _mSQL_h_
#define _mSQL_h_

#include "MyCgi.h"
#include "msql.h"

#define	MAX_STRING_LEN	256

class mSQL
{
	char	m_szDbName[40];

public:
	int	m_iSocket;
	int	m_iNumField;
	int	m_iNumRow;

	char	m_szQuery[MAX_QUERY];

	m_result*	m_Result;
	m_row		m_CurRow;

public:
	mSQL();
	~mSQL();

	int	mSQLGetNumField(void) const { return	m_iNumField; }
	int	mSQLGetNumRow(void)   const { return	m_iNumRow;   }

	void	mSQLConnect(char *str);
	void	mSQLSelectDB(void);
	void	mSQLSetQuery(char *str)	{ strcpy(m_szQuery, str);    }
	void	mSQLQuery(void);
	void	mSQLStoreResult(void)	{ m_Result = msqlStoreResult();		}
	void	mSQLNumRows(void)	{ m_iNumRow= msqlNumRows(m_Result);	}
	void	mSQLClose(void);

	char*	mSQLGetDbName(void)	{ return m_szDbName; }
};

#endif
