/*
	MeetBoard.h

	Author	: Kang Jul Ki (Master 2nd)
	E-mail	: jkkang@sel.chonbuk.ac.kr
	Homepage: http://sel.chonbuk.ac.kr/~jkkang/
	Date	: August 21, 1997
	Class	: Software Engineering Lab.
		  Dept. of Electronic Engineering
		  Chonbuk National Univ.	

	Compiler: gcc 2.7.2
	Copyright (c) 1997, Kang Jul Ki & Software Engineering Lab
*/

#ifndef __MeetBoard_h_
#define __MeetBoard_h_

#include "MyCgi.h"
#include "Cgi.h"
#include "Config.h"
#include "mSQL.h"

class MeetBoard : public Cgi
{
	DB*	m_pDB;
	mSQL*	m_pmSQL;
	Config*	m_pConfig;
	int	m_iIndex;

public:
	MeetBoard();
	~MeetBoard();

	void	ShowMimeType();
	void	ShowBoard();
	void	GetEnv();
	void	Run();

	int	GetTotalDataBase(void);
};

#endif
