/*
	MeetHtml.cpp

	Author	: Kang Jul Ki
	E-mail	: jkkang@sel.chonbuk.ac.kr
	Homepage: http://sel.chonbuk.ac.kr/~jkkang/
	Date	: August 21, 1997
	Class	: Software Engineering Lab.
		  Dept. of Electronic Engineering
		  Chonbuk National Univ.

	Compiler: gcc 2.7.2
	Copyright (c) 1997, Kang Jul Ki & Software Engineering Lab.
*/

#include "MeetHtml.h"
#include <stdlib.h>

MeetHtml::MeetHtml()
{
	m_pConfig = new Config;
	m_pParam  = new CGI_ENTRY;
}

MeetHtml::~MeetHtml()
{
	delete	m_pConfig;
	delete	m_pParam;
}

void MeetHtml::GetEnv()
{
	stat  result = ERR;

	/*
	** Get environment variable from HTTP
	*/
	m_pBuf = getenv("QUERY_STRING");
	
	(m_pParam+0)->f_val  = (char *)makeword(m_pBuf, '&');
	(m_pParam+0)->f_name = (char *)makeword((m_pParam+0)->f_val, '=');

	m_pConfig->m_iBoardNum = atoi((m_pParam+0)->f_val);

	/*
	** Get Config from 'GuestBook.conf'
	*/
	result = m_pConfig->ProcessConfig();
}

void MeetHtml::ShowPostPage(void)
{
	printf("<html>%c", LF);
	printf("<head>%c", LF);
	printf("<title>Խ  2.3</title>%c", LF);
	printf("</head>%c", LF);
	printf("<body bgcolor=white>%c", LF);

	printf("<center>%c", LF);
	printf("<img src=%sImage/%s border=0>%c", m_pConfig->GetBaseDir(), m_pConfig->GetImageName(), LF);
	printf("<table border=0 width=480 cellpading=0>%c", LF);
	  printf("<tr>%c", LF);
	    printf("<td valign=buttom>%c", LF);
	    printf("<img align=left border=0 src=%sImage/bookpen.gif>%c", m_pConfig->GetBaseDir(), LF);
	      printf("<br>%c", LF);
	    printf("<img width=420 src=%sImage/line_ani.gif>%c", m_pConfig->GetBaseDir(), LF); 
	    printf("</td>%c", LF);
	  printf("</tr>%c", LF);
	printf("</table>%c", LF);
	printf("</center>%c", LF);

	printf("<center>%c", LF);
	printf("<form method=post action=%scgi-bin/MeetPost.Cgi?BoardNum=%d&TextNum=-1>%c", m_pConfig->GetBaseDir(), m_pConfig->GetBoardNum(), LF);
	printf("<table>%c", LF);

	printf("<tr><td align=right><font size=-1≯</font></td><td><input type=text name=name size=20 maxlength=18></td></tr>%c", LF);
	printf("<tr><td align=right><font size=-1>E-mail</font></td><td><input type=text name=email size=40 maxlength=40></td></tr>%c", LF);
	printf("<tr><td align=right><font size=-1>Ȩ</font></td><td><input type=text name=homepage value=\"http://\" size=60%c", LF);
	printf("maxlength=60></td><tr>%c", LF);
	printf("<tr><td align=right><font size=-1></font></td><td><input type=text name=subject value=\"\" size=60 maxlength=140></td></tr>%c", LF);
	printf("<tr><td align=right><font size=-1>н(ִ10)</font></td><td><input type=password name=passwd value=\"\" size=10 maxlength=10></td></tr>%c", LF);
	printf("<tr><td align=right><font size=-1>ϰ</font></td><td><textarea type=text name=body cols=60 rows=10></textarea>%c", LF);
	printf("</td></tr></table>%c", LF);

	printf("<br>%c", LF);
 
	printf("<center>%c", LF);
		printf("<input type=submit value=\" ø\">%c", LF);
		printf("<input type=reset value=\"ϱ\">%c", LF);
	printf("</center>%c", LF);

	printf("</form>%c", LF);
	printf("<br>%c", LF);
	printf("</center>%c", LF);

	printf("<p>%c", LF);

	printf("<center>%c", LF);
	printf("<img src=%sImage/line.gif>%c", m_pConfig->GetBaseDir(), LF);
	printf("<br>%c", LF);

	printf("<font color=4a708b size=-1>Copyright <font size=4>&copy</font> 1996 - 1997,%c", LF);
	printf("Ver 2.3 <b>Software Engineering Lab</b>. All rights reserved.<br>%c", LF);
	printf("Chonbuk National Univ. Dept. of Electronic Engineering<br>%c", LF);
	printf("<a href=http://sel.chonbuk.ac.kr/~jkkang/>Programmed by Kang Jul Ki</a><br>%c", LF);
	printf("<a href=mailto:%s>%s</a><br>%c", m_pConfig->GetEmail(), m_pConfig->GetEmail(), LF);
	printf("</font>%c", LF);
	printf("</center>%c", LF);

	printf("</body>%c", LF);
	printf("</html>%c", LF);
}
	
/*
** Program entry
*/
void main()
{
	MeetHtml* MyMeetHtml;

	MyMeetHtml = new MeetHtml;
	
	/*
	** Mime type
	*/
	printf("Content-type: text/html%c%c", LF, LF);

	MyMeetHtml->GetEnv();
	MyMeetHtml->ShowPostPage();

	delete	MyMeetHtml;
}
